Dev. Studio 2.2.1 - RXTX Version mismatch (Fedora17 x86_64)


#1

Hello,
Can anyone help me ? I can’t switch my workspace to “target management” with the last version of Developper Studio. I’m getting the following warning from the command line a few second after I try to enable the target management perspective.

[root@mathieu eclipse]# ./eclipse
Stable Library
=========================================
Native lib Version = RXTX-2.2pre2
Java lib Version   = RXTX-2.1-7
WARNING:  RXTX Version mismatch
	Jar version = RXTX-2.1-7
	native lib Version = RXTX-2.2pre2

In the meantime, perspective loading fails with the message “Problems opening perspective ‘com.swi.tm.ui.perspective’”

my setup (fresh install):

  • eclipse-cpp-indigo-SR1-incubation-linux-gtk-x86_64
  • Linux Fedora 17, 64bit version
  • Developer Studio 2.2.1
  • Java™ SE Runtime Environment (build 1.7.0_05-b05)

Best regards,
Mathieu Petit


#2

Please don’t care about the version mismatch warning in the terminal: it isn’t the root cause of your problem…
But please have a look here: https://forum.sierrawireless.com/t/dev-studio-in-ubuntu-32bit/5697/1
Well described: some packages to install + put your user in dialout group if needed, and it should run…


#3

Thanks Daav… however, I tried your suggestion with no luck before posting. Maybe symptoms are the same but causes are different ?
At least for me, switching to the requested java version of rxtx solves the problem :

# cd /tmp
# wget http://rxtx.qbang.org/pub/rxtx/rxtx-2.2pre2-bins.zip
# unzip rxtx-2.2pre2-bins.zip
# #my eclipse is in /opt/eclipse
# mv /opt/eclipse/plugins/gnu.io.rxtx_2.2.0.v201203140900.jar /opt/eclipse/plugins/gnu.io.rxtx_2.2.0.v201203140900.jar.bak
# mv rxtx-2.2pre2-bins/RXTXcomm.jar /opt/eclipse/plugins/gnu.io.rxtx_2.2.0.v201203140900.jar
# exit
$ /opt/eclipse/eclipse &
$ #eclipse launches and works like a charm, target management and all..

Yet this is more a patch than a satisfactory solution:-(

Mathieu


#4

Hi guys,

Is this not also the problem in OS X?

Regards,
Tyrone


#5

Hi guys,

Just an update. Currently standing in the Apple store, and the patch gerard67 mentioned above seems to work. I now have Target Management Perspective loaded in OS X. I didn’t bring my FXT with me to test connectivity though. LOL!

[attachment=0]Screen Shot 2012-07-14 at 12.04.08 PM.png[/attachment]

Cheerio!
Tyrone